Subject: Re: bug#55249: `guix pull` crash

From: Julien Lepiller <[email-masked]>
Date: Fri, 06 May 2022 06:57:34 +0200

Thanks for getting back to us. Closing then. Enjoy your new guix :)

On May 5, 2022 11:54:15 PM GMT+02:00, Nathan Wilcox <[email-masked]> wrote:
>It completed successfully.
>
>On Tue, May 3, 2022 at 10:27 PM Julien Lepiller <[email-masked]> wrote:
>
>> Hi Nathan,
>>
>> I believe this was caused by a network issue (&nar-error). We lost our
>> main server for a few hours when you tried running guix pull.
>>
>> Could you try again and report success/failure?
>>
>> Thanks for reporting the issue! It's much appreciated :)
>>
>> On May 3, 2022 9:44:19 PM GMT+02:00, Nathan Wilcox via Bug reports for GNU
>> Guix <[email-masked]> wrote:
>>>
>>> Hi,
>>>
>>> I just started using guix and have only used `guix pull` and `guix
>>> search` so far. I used `guix pull` successfully a few days ago, and decided
>>> to rerun it today to see if it takes less time, and it resulted in a
>>> stacktrace (attached).
>>>
>>> This is a foreign-distro install on Debian 10 Buster. It's running inside
>>> a 'crostini' lxc vm built into ChromeOS.
>>>
>>> Also, while I'm here, I read about `guix shell` and it was the primary
>>> motivation for me to install since I wanted to do a project-specific
>>> dependency configuration, but after following the instructions in [1]
>>> running `guix shell` says `guix: shell: command not found`. I have tried
>>> `guix search` with various patterns (`shell`, `guix.*shell`, etc…) but I
>>> haven't been able to find out how to install it. Furthermore [1] introduces
>>> it, so I am confused if I missed some critical setup step, even though I
>>> followed the install section. Any advice?
>>>
>>> links:
>>> [1]  https://guix.gnu.org/manual/devel/en/html_node/Installation.html
>>>
>>> --
>>>
>>> Nathan Wilcox
>>>
>>> Chief Research Officer
>>>
>>> [email-masked] | @least_nathan <https://twitter.com/least_nathan>
>>>
>>>
>>>
>
>-- 
>
>Nathan Wilcox
>
>Chief Research Officer
>
>[email-masked] | @least_nathan <https://twitter.com/least_nathan>